org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPClassScope

All Superinterfaces:
  ICPPScope, IScope

    public interface ICPPClassScope
    extends ICPPScope

Interface for class scopes.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`IScope.ScopeLookupData`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPClassType` `getClassType()` Returns the binding for the class this scope is associated with.
`ICPPConstructor[]` `getConstructors()` Returns the array of constructors, including implicit ones.
`ICPPMethod[]` `getImplicitMethods()` Returns an array of methods that were implicitly added to this class scope.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`find, find, getBinding, getBinding, getBindings, getBindings, getBindings, getKind, getParent, getScopeName`

### Method Detail

#### getClassType

    ICPPClassType getClassType()

Returns the binding for the class this scope is associated with.

#### getImplicitMethods

    ICPPMethod[] getImplicitMethods()

Returns an array of methods that were implicitly added to this class scope. These methods may or may not have been explicitly declared in the code. The methods that will be implicitly declared are: the default constructor, copy constructor, copy assignment operator, and destructor

#### getConstructors

    ICPPConstructor[] getConstructors()

Returns the array of constructors, including implicit ones.

Since:
  5.1